Interlaken
API referenceApplicationsDeploy servers

List the tenant's deploy servers

GET
/api/v1/deploy-servers

Requires the deploy_servers:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/deploy-servers"
{  "items": [    {      "app_instance_type": "string",      "created_at": "2019-08-24T14:15:22Z",      "dashboard_url": "string",      "id": "string",      "init_step": "string",      "name": "string",      "reason": "string",      "status": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "tenant_id": "string",      "updated_at": "2019-08-24T14:15:22Z",      "vpc_id": "string",      "wildcard_domain": "string",      "worker_count": 0,      "worker_disk_gib": 0,      "worker_instance_type": "string",      "worker_microvm_id": "string",      "workers": [        {          "coolify_server_uuid": "string",          "index": 0,          "microvm_id": "string",          "primary": true,          "private_ip": "string",          "public_ip": "string",          "registered": true        }      ]    }  ],  "total": 0}